Show / Hide Table of Contents

# Class GuildExtensions

An extension class for IGuild.

##### Inheritance

System.Object
GuildExtensions

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public static class GuildExtensions

### Methods

| Improve this Doc View Source

#### GetGuildBoostMessagesEnabled(IGuild)

Gets if guild boost system messages are enabled.

##### Declaration

    public static bool GetGuildBoostMessagesEnabled(this IGuild guild)

##### Parameters

Type | Name | Description
--- | --- | ---
IGuild | guild | The guild to check.

##### Returns

Type | Description
--- | ---
System.Boolean | A `bool` indicating if the guild boost messages are enabled in the system channel.

| Improve this Doc View Source

#### GetWelcomeMessagesEnabled(IGuild)

Gets if welcome system messages are enabled.

##### Declaration

    public static bool GetWelcomeMessagesEnabled(this IGuild guild)

##### Parameters

Type | Name | Description
--- | --- | ---
IGuild | guild | The guild to check.

##### Returns

Type | Description
--- | ---
System.Boolean | A `bool` indicating if the welcome messages are enabled in the system channel.